Package es.imim.DISGENET

# Enum Class Status

java.lang.Object
java.lang.Enum<Status>
es.imim.DISGENET.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Status>`, `java.lang.constant.Constable`

public enum Status extends Enum<Status> implements Serializable

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECTION_ERROR`
`CONNECTION_WRONG_ADDRESS_ERROR`
`DB_CLOSE_CON_ERROR`
`DB_CONNECTION_ERROR`
`DB_DRIVER_ERROR`
`DB_ENTRY_ALREADY_IN_DB`
`DB_ERROR`
`DB_FILE_NOT_SET`
`DB_NO_SPECIFIED_DATABASE`
`DB_WRITE_ERROR`
`DISCONNECTION_ERROR`
`FAIL`
`FILE_ERROR`
`NETWORK_ERROR`
`SQL_ERROR`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStatusMessage()`
`static Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final Status SUCCESS

### FAIL

public static final Status FAIL

### FILE_ERROR

public static final Status FILE_ERROR

### SQL_ERROR

public static final Status SQL_ERROR

### NETWORK_ERROR

public static final Status NETWORK_ERROR

### CONNECTION_ERROR

public static final Status CONNECTION_ERROR

### CONNECTION_WRONG_ADDRESS_ERROR

public static final Status CONNECTION_WRONG_ADDRESS_ERROR

### DISCONNECTION_ERROR

public static final Status DISCONNECTION_ERROR

### DB_ERROR

public static final Status DB_ERROR

### DB_WRITE_ERROR

public static final Status DB_WRITE_ERROR

### DB_CONNECTION_ERROR

public static final Status DB_CONNECTION_ERROR

### DB_DRIVER_ERROR

public static final Status DB_DRIVER_ERROR

### DB_ENTRY_ALREADY_IN_DB

public static final Status DB_ENTRY_ALREADY_IN_DB

### DB_CLOSE_CON_ERROR

public static final Status DB_CLOSE_CON_ERROR

### DB_NO_SPECIFIED_DATABASE

public static final Status DB_NO_SPECIFIED_DATABASE

### DB_FILE_NOT_SET

public static final Status DB_FILE_NOT_SET

## Method Details

### values

public static Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getStatusMessage

public String getStatusMessage()